Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006226OCamlOCaml internal build/install (Makefiles, configure)public2013-11-05 07:312014-08-20 09:44
Reporterrpaulo 
Assigned Toshinwell 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSFreeBSDOS Version10
Product Version 
Target Version4.02.0+devFixed in Version4.02.0+dev 
Summary0006226: ocaml does not build on FreeBSD 10/amd64
DescriptionFreeBSD 10 does not ship with gcc, so one must use detect clang for ASPP.

Patch is attached.
Tagspatch
Attached Filesdiff file icon ocaml-freebsd-10.diff [^] (583 bytes) 2013-11-05 07:31 [Show Content]

- Relationships

-  Notes
(0011865)
doligez (administrator)
2014-07-16 18:27

Shouldn't you be searching for "${TOOLPREF}clang" rather than just "clang"?
(0011874)
shinwell (developer)
2014-07-17 12:25

I thought I had written a patch for this, but I'm not sure what happened to it. Will check.
(0012023)
shinwell (developer)
2014-08-19 14:02

(urgency acknowledged)
(0012025)
shinwell (developer)
2014-08-20 09:44

This has already been fixed by some previous patch.

- Issue History
Date Modified Username Field Change
2013-11-05 07:31 rpaulo New Issue
2013-11-05 07:31 rpaulo File Added: ocaml-freebsd-10.diff
2014-02-19 16:41 doligez Tag Attached: patch
2014-02-23 18:52 gasche Severity major => minor
2014-02-23 18:52 gasche Status new => acknowledged
2014-07-16 18:27 doligez Note Added: 0011865
2014-07-16 18:28 doligez Target Version => 4.02.0+dev
2014-07-17 12:25 shinwell Note Added: 0011874
2014-07-17 12:25 shinwell Assigned To => shinwell
2014-07-17 12:25 shinwell Status acknowledged => assigned
2014-08-18 20:31 doligez Priority high => urgent
2014-08-19 14:02 shinwell Note Added: 0012023
2014-08-20 09:44 shinwell Note Added: 0012025
2014-08-20 09:44 shinwell Status assigned => closed
2014-08-20 09:44 shinwell Resolution open => fixed
2014-08-20 09:44 shinwell Fixed in Version => 4.02.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker